pandoc-1.19.2.1: Conversion between markup formats

Copyright | Copyright (C) 2011-2016 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell98

Text.Pandoc.SelfContained

Description

Functions for converting an HTML file into one that can be viewed offline, by incorporating linked images, CSS, and scripts into the HTML using data URIs.

Synopsis

- makeSelfContained :: WriterOptions -> String -> IO String

# Documentation

makeSelfContained :: WriterOptions -> String -> IO String #

Convert HTML into self-contained HTML, incorporating images, scripts, and CSS using data: URIs.